Module java.corba
Package org.omg.PortableServer.POAManagerPackage

## Class State

- java.lang.Object
- - org.omg.PortableServer.POAManagerPackage.State

All Implemented Interfaces:
  Serializable, IDLEntity

    public class State
    extends Object
    implements IDLEntity

Specifies the states for the POAManager

### Field Summary

Fields
`static int` `_ACTIVE`
`static int` `_DISCARDING`
`static int` `_HOLDING`
`static int` `_INACTIVE`
`static State` `ACTIVE`
`static State` `DISCARDING`
`static State` `HOLDING`
`static State` `INACTIVE`

### Constructor Summary

Constructors
`protected` `State(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static State` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _ACTIVE

    public static final int _ACTIVE

See Also:
  Constant Field Values

#### _DISCARDING

    public static final int _DISCARDING

See Also:
  Constant Field Values

#### _HOLDING

    public static final int _HOLDING

See Also:
  Constant Field Values

#### _INACTIVE

    public static final int _INACTIVE

See Also:
  Constant Field Values

#### ACTIVE

    public static final State ACTIVE

#### DISCARDING

    public static final State DISCARDING

#### HOLDING

    public static final State HOLDING

#### INACTIVE

    public static final State INACTIVE

### Constructor Detail

#### State

    protected State(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static State from_int(int value)